Bug 125991 - CAN-2004-0388 and CAN-2004-0381: insecure temporary file creation
CAN-2004-0388 and CAN-2004-0381: insecure temporary file creation
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-06-14 18:12 EDT by Robert Scheck
Modified: 2013-07-02 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.23.58-9.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-30 18:48:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mysql-3.23.58-symlink.patch (1.34 KB, patch)
2004-06-14 18:13 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-06-14 18:12:53 EDT
Description of problem:
CAN-2004-0388: The script mysqld_multi in MySQL allows local users
               to overwrite arbitrary files via a symlink attack.

CAN-2004-0381: The script mysqlbug in MySQL allows local users to
               overwrite arbitrary files via a symlink attack.

Version-Release number of selected component (if applicable):

Expected results:
Patch/update (my patches are ported from Debian and Mandrake).

Additional info:
I only found CAN-2004-0381 (bug #119442) for RHEL3.
Comment 1 Robert Scheck 2004-06-14 18:13:32 EDT
Created attachment 101129 [details]
Comment 2 Tom Lane 2004-06-15 15:30:59 EDT

*** This bug has been marked as a duplicate of 119442 ***
Comment 3 Mark J. Cox (Product Security) 2004-06-16 09:42:21 EDT
Reopening; we usually keep separate tracking bugs for FC and RHEL
since they run on different schedules for QA etc.  

This bug is for FC1 and FC2 tracking
Comment 4 Robert Scheck 2004-10-06 11:07:10 EDT
Fedora Core Development's -11 solves this issue. Does FC2 get an 
Comment 5 Tom Lane 2004-10-06 18:22:23 EDT
It seems a sufficiently low-priority matter that I wasn't planning to
push out a separate update.  I might get overruled on that though.
Comment 6 Robert Scheck 2005-01-30 18:48:17 EST
I'll close this bug, because:
- Fedora Core 2 got mysql-3.23.58-9.1
- Fedora Core 3 got mysql-3.23.58-14
- Red Hat Enterprise Linux 2.1 got mysql-3.23.58-1.72.1
- Red Hat Enterprise Linux 3 got mysql-3.23.58-2.3
this issue should be solved in any active supported distribution.

Note You need to log in before you can comment on or make changes to this bug.